Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QComboBox.SizeAdjustPolicy

    java.lang.Object
      java.lang.Enum<QComboBox.SizeAdjustPolicy>
          com.trolltech.qt.gui.QComboBox.SizeAdjustPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QComboBox.SizeAdjustPolicy>

Enclosing class:
  QComboBox

    public static enum QComboBox.SizeAdjustPolicy

extends java.lang.Enum<QComboBox.SizeAdjustPolicy>
implements QtEnumerator

This enum specifies how the size hint of the `QComboBox` should adjust when new content is added or content changes.

Enum Constant Summary
`AdjustToContents` The combobox will always adjust to the contents
`AdjustToContentsOnFirstShow` The combobox will adjust to its contents the first time it is show.
`AdjustToMinimumContentsLength` Use `AdjustToContents` or `AdjustToContentsOnFirstShow` instead.
`AdjustToMinimumContentsLengthWithIcon` The combobox will adjust to `minimumContentsLength` plus space for an icon.

Method Summary
`static QComboBox.SizeAdjustPolicy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QComboBox.SizeAdjustPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QComboBox.SizeAdjustPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AdjustToContents

    public static final QComboBox.SizeAdjustPolicy AdjustToContents

  The combobox will always adjust to the contents

### AdjustToContentsOnFirstShow

    public static final QComboBox.SizeAdjustPolicy AdjustToContentsOnFirstShow

  The combobox will adjust to its contents the first time it is show.

### AdjustToMinimumContentsLength

    public static final QComboBox.SizeAdjustPolicy AdjustToMinimumContentsLength

  Use `AdjustToContents` or `AdjustToContentsOnFirstShow` instead.

### AdjustToMinimumContentsLengthWithIcon

    public static final QComboBox.SizeAdjustPolicy AdjustToMinimumContentsLengthWithIcon

  The combobox will adjust to `minimumContentsLength` plus space for an icon. For performance reasons use this policy on large models.

Method Detail

### values

    public static final QComboBox.SizeAdjustPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QComboBox.SizeAdjustPolicy c : QComboBox.SizeAdjustPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QComboBox.SizeAdjustPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QComboBox.SizeAdjustPolicy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD